FullTextIndexLookupConfig
Date: 2013-02-17

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.indexmanagement.fulltextindexlookup
Class FullTextIndexLookupConfig

    java.lang.Object
      org.gcube.indexmanagement.fulltextindexlookup.FullTextIndexLookupConfig

All Implemented Interfaces:
  org.globus.wsrf.jndi.Initializable

    public class FullTextIndexLookupConfig

extends java.lang.Object
implements org.globus.wsrf.jndi.Initializable

Constructor Summary
`FullTextIndexLookupConfig()`

Method Summary
`java.lang.String` | `getDefaultLanguage()`
`java.lang.Boolean` | `getIsCompleteBlocked()`
`java.lang.Boolean` | `getIsPartitioned()`
`java.lang.String` | `getLemmatizerConfigPath()`
`java.lang.String` | `getLemmatizerPluginName()`
`java.lang.Integer` | `getMaximumPartitionCount()`
`java.lang.Integer` | `getMaximumSnippetsCount()`
`java.lang.Long` | `getMinimumFreePartitionSpace()`
`java.util.ArrayList<java.lang.String>` | `getNonCompleteColIDs()`
`java.lang.Integer` | `getSnippetSize()`
`void` | `initialize()`
`void` | `setDefaultLanguage(java.lang.String defaultLanguage)`
`void` | `setIsCompleteBlocked(java.lang.Boolean isCompleteBlocked)`
`void` | `setIsPartitioned(java.lang.Boolean isPartitioned)`
`void` | `setLemmatizerConfigPath(java.lang.String lemmatizerConfigPath)`
`void` | `setLemmatizerPluginName(java.lang.String lemmatizerPluginName)`
`void` | `setMaximumPartitionCount(java.lang.Integer maximumPartitionCount)`
`void` | `setMaximumSnippetsCount(java.lang.Integer maximumSnippetsCount)`
`void` | `setMinimumFreePartitionSpace(java.lang.Long minimumFreePartitionSpace)`
`void` | `setNonCompleteColIDs(java.lang.String colID)`
`void` | `setSnippetSize(java.lang.Integer snippetSize)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullTextIndexLookupConfig

    public FullTextIndexLookupConfig()

Method Detail

### getLemmatizerPluginName

    public java.lang.String getLemmatizerPluginName()

### getLemmatizerConfigPath

    public java.lang.String getLemmatizerConfigPath()

### getDefaultLanguage

    public java.lang.String getDefaultLanguage()

### getIsPartitioned

    public java.lang.Boolean getIsPartitioned()

### getIsCompleteBlocked

    public java.lang.Boolean getIsCompleteBlocked()

### getMinimumFreePartitionSpace

    public java.lang.Long getMinimumFreePartitionSpace()

### getMaximumPartitionCount

    public java.lang.Integer getMaximumPartitionCount()

### getNonCompleteColIDs

    public java.util.ArrayList<java.lang.String> getNonCompleteColIDs()

### getSnippetSize

    public java.lang.Integer getSnippetSize()

### getMaximumSnippetsCount

    public java.lang.Integer getMaximumSnippetsCount()

### setLemmatizerPluginName

    public void setLemmatizerPluginName(java.lang.String lemmatizerPluginName)

### setLemmatizerConfigPath

    public void setLemmatizerConfigPath(java.lang.String lemmatizerConfigPath)

### setDefaultLanguage

    public void setDefaultLanguage(java.lang.String defaultLanguage)

### setIsPartitioned

    public void setIsPartitioned(java.lang.Boolean isPartitioned)

### setIsCompleteBlocked

    public void setIsCompleteBlocked(java.lang.Boolean isCompleteBlocked)

### setMinimumFreePartitionSpace

    public void setMinimumFreePartitionSpace(java.lang.Long minimumFreePartitionSpace)

### setMaximumPartitionCount

    public void setMaximumPartitionCount(java.lang.Integer maximumPartitionCount)

### setNonCompleteColIDs

    public void setNonCompleteColIDs(java.lang.String colID)

### setSnippetSize

    public void setSnippetSize(java.lang.Integer snippetSize)

### setMaximumSnippetsCount

    public void setMaximumSnippetsCount(java.lang.Integer maximumSnippetsCount)

### initialize

    public void initialize()
                    throws java.lang.Exception

  Specified by:
    `initialize` in interface `org.globus.wsrf.jndi.Initializable`
  Throws:
    `java.lang.Exception`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD